Skip to main content

Delete a Promotion

You can delete an existing Promotion through the Aptoide Connect Developer Console or programmatically via this API endpoint.

Endpoint

MethodURL
DELETEhttps://ws.catappult.io/api/promotions/{uid}

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

Promotions can only be created, edited, or deleted by accounts of type Partner.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
uidstringThe unique identifier (UUID) of the promotion to delete (e.g. 9dbf70ff-30a4-4d82-b062-42ab24126e59).

Example Request

curl -X DELETE "https://ws.catappult.io/api/promotions/9dbf70ff-30a4-4d82-b062-42ab24126e59" \
-H "Api-Key: <YOUR_API_KEY>"

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and the promotion has been deleted.

Example Response

"Promotion deleted."